html {
    height: 100%;
}

body {
    min-height: 100%;
    display: flex;
    flex-direction: column;
}

.primary-btn {
    padding: 10px 1em 6px;
    border-radius: 24px;
}

.ghost-btn {
    padding: 10px 1em 6px;
    border-radius: 24px;
}

.ghost-btn {
    /* background-color: var(--grey-04); */
    border: none;
    background-color: white;
    border: 2px solid var(--primary);
    color: white !important;
}

.ghost-btn#previous {
    border: 2px solid #999999;
}

.ghost-btn:hover {
    color: var(--white) !important;
    background: var(--white);
}

.ghost-btn>img,
.primary-btn>img {
    margin: auto !important;
}

.ghost-btn>img {
    margin-right: 10px !important;
}

.primary-btn>img {
    margin-left: 10px !important;
    padding-bottom: 2px;
}

button#quiz-back-btn {
    background: transparent !important;
}

button#quiz-back-btn :hover {
    cursor: pointer;
}

.skin-main-header {
    padding: 0 50px 0 50px;
}

@media screen and (max-width: 576px) {
    .skin-main-header {
        padding: 0 20px 0 20px;
    }
}

.skin-quiz-title {
    margin-bottom: 0;
    margin-top: 71px;
    text-transform: none;
    text-align: center;
}

.skin-quiz-subtitle {
    text-align: center;
}

.input-label {
    width: 280px;
    padding: 8px 8px;
    margin: 5px 0;
    border-radius: 4px;
    background-color: white;
    border: 1.5px solid #0d5b45;
    cursor: pointer;
    pointer-events: auto;
}

.input-label .input-checked {
    display: none;
}

.input-label>input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}

input::placeholder {
    /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: LightGray;
    opacity: 1;
    /* Firefox */
}

input:-ms-input-placeholder {
    /* Internet Explorer 10-11 */
    color: LightGray;
}

input::-ms-input-placeholder {
    /* Microsoft Edge */
    color: LightGray;
}

.input-label-selected {
    background-color: var(--primary);
    color: white;
}

.input-label-selected .input-checked {
    color: #111111;
    display: inline-block;
}

.quiz-status {
    background-color: #00000029;
    height: 5px;
    top: 59px;
    left: 0px;
    right: 0px;
    z-index: 999;
    overflow: hidden;
    position: absolute;
}

.quiz-status-indicator {
    background-color: #0D5B45;
    width: 100%;
    height: 5px;
    top: 0px;
    left: -100%;
    position: absolute;
    transform: translateX(0%);
    transition: transform 350ms;
}

.progress-container {
    width: 50px;
    height: 50px;
    z-index: 9999;
}

.question-number {
    font-size: 15px;
    text-transform: uppercase;
}

.question {
    font-weight: 400;
    font-size: 1.5em;
}

.question-subtitle {
    font-weight: 400;
}

.answers>div {
    pointer-events: none;
}

.click-through {
    pointer-events: none !important;
}

.skin-quiz-arrow-down {
    max-height: 80px;
    margin-bottom: 50px;
}

.intro {
    font-weight: 400;
    font-size: 1.5em;
}

.intro-subtitle {
    font-weight: 400;
    line-height: 30px;
    padding-top: 20px;
    max-width: 750px;
}

.answers {
    line-height: 24px;
    margin-top: 30px;
}

.answers>input {
    text-align: center;
    pointer-events: auto;
}

quiz label {
    font-weight: normal;
}

.quiz-section {
    padding: 20px 60px 120px 60px;
    flex-grow: 1;
    display: flex;
    /* align-items: center; */
    justify-content: center;
    z-index: 100;
    pointer-events: none;
}

.quiz-section .slide {
    display: none;
    transition: opacity 0.5s;
}

.quiz-section .active-slide {
    display: block;
}

.quiz-section .quiz-container {
    /* position: relative; */
    text-align: center;
    padding: 0 0;
}

.quiz-container {
    pointer-events: auto;
}

.navbar-bottom {
    padding-bottom: 30px;
    height: 70px;
    top: 400px;
    padding: 0;
    z-index: 99;
}

.navbar-bottom #previous {
    margin-right: auto;
    margin-left: 10%;
    padding: 1em;
}

.navbar-bottom #next {
    margin-left: auto;
    margin-right: 10%;
    padding: 1em;
}

.navbar-bottom #submit {
    display: none;
    margin-left: auto;
    margin-right: 10%;
    padding: 1em;
}

.navbar-bottom #submit-img {
    display: none;
    margin-left: auto;
    margin-right: 10%;
    padding: 1em;
}

.progress-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.9);
    display: none;
}

.progress {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 150px;
    height: 150px;
    margin-top: -75px;
    margin-left: -75px;
    background-color: transparent;
}

.progressbar-text {
    text-align: center;
    font-size: 18px;
}

/* --------------------------
Progress meter CSS
-------------------------- */
.progress-component {
    width: 300px;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}

.progress-meter {}

.progress-meter .track {
    position: relative;
    height: 2px;
    top: -5px;
    background: #ddd;
}

.progress-meter .progress-points .progress-point:nth-child(1) {
    left: 0%;
}

.progress-meter .progress-points .progress-point:nth-child(2) {
    left: 50%;
}

.progress-meter .progress-points .progress-point:nth-child(3) {
    left: 100%;
}

.progress-meter .progress-points {
    position: relative;
    margin: -14px 0 0;
    padding: 0;
    list-style: none;
}

.progress-meter .progress-point {
    -moz-transition: color 1s;
    -o-transition: color 1s;
    -webkit-transition: color 1s;
    transition: color 1s;
    position: absolute;
    display: block;
    width: 100px;
    margin-left: -50px;
    text-align: center;
    cursor: pointer;
    color: #999;
}

.progress-meter .progress-point:before {
    -moz-transition: all 1s;
    -o-transition: all 1s;
    -webkit-transition: all 1s;
    transition: all 1s;
    -moz-border-radius: 18px;
    -webkit-border-radius: 18px;
    border-radius: 18px;
    -moz-box-shadow: 0 0 0 2px white;
    -webkit-box-shadow: 0 0 0 2px white;
    box-shadow: 0 0 0 2px white;
    content: "\2713";
    display: block;
    width: 18px;
    height: 18px;
    margin: 0 auto 0px;
    border: 1px solid #aaaaaa;
    text-align: center;
    background-color: white;
    color: white;
}

.progress-meter .progress-point-inprogress:before {
    border: 2px solid #111111;
}

.progress-meter .progress-point-done:before {
    border: 2px solid #111111;
    background-color: #111111;
}

.progress-meter .progress-point {
    font-size: 12px;
}

/* --------------------------
Progress animation CSS
-------------------------- */
.progressbar-text span {
    line-height: 0;
    font-size: 40px;
    animation-name: blink;
    animation-duration: 1.4s;
    animation-iteration-count: infinite;
    animation-fill-mode: both;
}

.progressbar-text span:nth-child(2) {
    animation-delay: 0.2s;
}

.progressbar-text span:nth-child(3) {
    animation-delay: 0.4s;
}

.quiz-error {
    display: none;
}

@keyframes blink {
    0% {
        opacity: 0.2;
    }

    20% {
        opacity: 1;
    }

    100% {
        opacity: 0.2;
    }
}

@media (min-width: 320px) and (max-width: 767px) {
    .quiz-section .question {
        font-size: 1.5em;
    }

    .quiz-section .intro {
        font-size: 1.5em;
    }

    .intro-subtitle {
        line-height: 25px;
        padding-top: 10px;
    }

    .buy-button {
        margin-top: 30px;
    }

    .progress-component {
        display: none;
    }
}

@media (max-width: 350px) {
    .navbar-brand>img {
        width: 80px;
    }

    .input-label {
        width: 260px;
    }

    .quiz-section .question {
        font-size: 1.3em;
    }

    .question-subtitle {
        font-size: 14px;
    }

    .quiz-section .intro {
        font-size: 1.3em;
    }

    .intro-subtitle {
        line-height: 25px;
        padding-top: 10px;
    }

    .buy-button {
        margin-top: 30px;
    }

    .progress-component {
        display: none;
    }
}

.label-force-deploy {
    text-align: center;
}

.primary-btn>div,
.ghost-btn>div {
    display: none;
}

.primary-btn,
.ghost-btn {
    width: 48px;
    height: 48px;
}

.ghost-btn>img,
.primary-btn>img {
    margin: auto !important;
    transform: scale(1.5);
}

.personalizing-name {
    margin-top: 30px;
}

@media screen and (max-width: 576px) {

    .primary-btn>div,
    .ghost-btn>div {
        display: none;
    }

    .primary-btn,
    .ghost-btn {
        width: 48px;
        height: 48px;
    }

    .ghost-btn>img,
    .primary-btn>img {
        margin: auto !important;
        transform: scale(1.5);
    }

    .navbar-bottom {
        top: auto;
        bottom: 10px;
        z-index: 101;
    }

    .quiz-section {
        padding: 20px 30px 120px 30px;
    }
}

.container-fluid {
    padding-left: 100px;
    padding-right: 100px;
}


/* ... Chunks for quiz.css ... */